Bug 205687 - [iOS] Replace "unexpectedly resumed" observer with RunningBoard suspendible assertions
Summary: [iOS] Replace "unexpectedly resumed" observer with RunningBoard suspendible a...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 205836
  Show dependency treegraph
 
Reported: 2020-01-02 10:43 PST by Chris Dumez
Modified: 2020-04-01 07:23 PDT (History)
12 users (show)

See Also:


Attachments
Patch (35.10 KB, patch)
2020-01-02 10:47 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (35.42 KB, patch)
2020-01-02 11:49 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (35.34 KB, patch)
2020-01-02 12:00 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (35.75 KB, patch)
2020-01-02 12:29 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (35.91 KB, patch)
2020-01-02 12:32 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (35.89 KB, patch)
2020-01-02 12:44 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (36.70 KB, patch)
2020-01-02 13:17 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (36.74 KB, patch)
2020-01-27 14:58 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (37.39 KB, patch)
2020-03-09 14:27 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (36.64 KB, patch)
2020-03-09 14:58 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2020-01-02 10:43:25 PST
Replace "unexpectedly resumed" observer with RunningBoard suspendible assertions, to avoid unexpected terminations.
Comment 1 Chris Dumez 2020-01-02 10:43:41 PST
<rdar://problem/57890246>
Comment 2 Chris Dumez 2020-01-02 10:47:51 PST
Created attachment 386608 [details]
Patch
Comment 3 Chris Dumez 2020-01-02 11:49:34 PST
Created attachment 386611 [details]
Patch
Comment 4 Chris Dumez 2020-01-02 12:00:42 PST
Created attachment 386615 [details]
Patch
Comment 5 Chris Dumez 2020-01-02 12:29:16 PST
Created attachment 386618 [details]
Patch
Comment 6 Chris Dumez 2020-01-02 12:32:41 PST
Created attachment 386620 [details]
Patch
Comment 7 Chris Dumez 2020-01-02 12:44:29 PST
Created attachment 386623 [details]
Patch
Comment 8 Chris Dumez 2020-01-02 13:17:36 PST
Created attachment 386624 [details]
Patch
Comment 9 WebKit Commit Bot 2020-01-02 15:28:10 PST
Comment on attachment 386624 [details]
Patch

Clearing flags on attachment: 386624

Committed r253984: <https://trac.webkit.org/changeset/253984>
Comment 10 WebKit Commit Bot 2020-01-02 15:28:12 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Truitt Savell 2020-01-03 09:26:34 PST
The changes in https://trac.webkit.org/changeset/253984/webkit

broke testing on iOS Debug

Tracked in https://bugs.webkit.org/show_bug.cgi?id=205727
Comment 12 Chris Dumez 2020-01-03 09:30:25 PST
Follow-up in <https://trac.webkit.org/changeset/254003>.
Comment 13 Chris Dumez 2020-01-27 14:56:24 PST
Reopening to revert since this appears to have caused assertion leaks.
Comment 14 Chris Dumez 2020-01-27 14:58:02 PST
Created attachment 388920 [details]
Patch
Comment 15 Chris Dumez 2020-01-27 15:37:54 PST
Comment on attachment 388920 [details]
Patch

Clearing flags on attachment: 388920

Committed r255189: <https://trac.webkit.org/changeset/255189>
Comment 16 Chris Dumez 2020-01-27 15:37:56 PST
All reviewed patches have been landed.  Closing bug.
Comment 17 Chris Dumez 2020-01-28 14:58:42 PST
Reopening since this was reverted but we'll likely try again soon.
Comment 18 Chris Dumez 2020-03-09 14:27:24 PDT
Created attachment 393074 [details]
Patch
Comment 19 Chris Dumez 2020-03-09 14:58:01 PDT
Created attachment 393077 [details]
Patch
Comment 20 WebKit Commit Bot 2020-03-09 18:17:13 PDT
Comment on attachment 393077 [details]
Patch

Clearing flags on attachment: 393077

Committed r258180: <https://trac.webkit.org/changeset/258180>
Comment 21 WebKit Commit Bot 2020-03-09 18:17:15 PDT
All reviewed patches have been landed.  Closing bug.